> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/56.-augsupieladet-fotoattelus.md).

# 56. Augšupielādēt fotoattēlus

Foto augšupielāde caur S3 ietver 2 soļus:

1. **Pieprasiet iepriekš parakstīto saiti turpmākai tiešai augšupielādei.**&#x20;

Kā ievade:&#x20;

* fileExtention - jpeg VAI jpg VAI png,&#x20;
* farmUuid - saimniecības uuid,
* fieldUuid - lauka uuid,
* noteUuid - piezīmes uuid tiešai augšupielādētā foto saitei,
* commentUuid - komentāra uuid tiešai augšupielādātā foto saitei (pēc izvēles).&#x20;

Kā izvade:

* uuid - gaidāmais uuid pēc augšupielādes un apstrādes,
* farmUuid - tas pats, kas ievadē,
* fieldUuid - tas pats, kas ievadē,
* noteUuid - tas pats, kas ievadē,
* commentUuid - tas pats, kas ievadē (ja eksistēja),
* s3Url - URL, ko izmanto, lai augšupielādētu foto,
* s3Fields - atribūti, ko nodot augšupielādes foto formā.

Sīkāka informācija par to, kā lietot s3Url un s3Fields, aprakstīta otrajā solī.&#x20;

Atribūti ir derīgi tikai 60 minūtes, lai augšupielādētu foto.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Nosūtiet lokālu foto uz s3Url ar iepriekš noteiktiem formu atribūtiem no s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Paziņojumi par apstrādi tiks piegādāti, izmantojot abonēšanas mehānismu, kas aprakstīts GraphQL -> Samples -> [1. Abonēšana: Saņemt notikumus](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/1.-abonesana-sanemt-notikumus.md).

{% hint style="info" %}
Izmantojiet ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/56.-augsupieladet-fotoattelus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
